STRCAT(3)

NAME
strcat - concatenate two strings without bounds checking

SYNOPSIS
#include <string.h>
char *
strcat(char *s, const char *append);

DESCRIPTION
The strcat() function appends a copy of the NUL-terminated string append to the end of the NUL-terminated string s, then adds a terminating ‘\0’.

No bounds checking is performed. If the buffer dst is not large enough to hold the result, subsequent memory will be damaged.

RETURN VALUES
The strcat() function return the pointer s.

SEE ALSO
strlcpy(3), wcscat(3), wcslcpy(3)

STANDARDS
The strcat() function conforms to ansiC.

HISTORY
The strcat() function first appeared in the Programmer's Workbench (PWB/UNIX) and was ported to AT&T UNIX.